/* Small schema for quick testing */

u3 :- new([person, [
             slot(slot_tuple(cname, global, single, total, string)),
	     slot(slot_tuple(sname, global, single, total, string)),
	     slot(slot_tuple(age, global, single, optional, integer)),
	     slot(slot_tuple(loves, global, set, optional, person)),
	     constraints(['forall p in person not exists p1 in loves of p such that p1 <> p']),
	     key([sname, cname])
	 ]]) => colan_class.


u7 :- new([student, [
         is_a([person]),
	     slot(slot_tuple(year, global, single, total, integer)),
	     constraints(['forall e in student age of e + year of e >= 19'])
	 ]]) => colan_class.

:- u3, u7.

